Clipform

Search royalty-free images or videos

Search across multiple providers (Pexels, Unsplash, Pixabay, Wikimedia, NASA, iNaturalist for images; Pexels, Pixabay for video). Results include attribution and license info. Content moderation is applied to image results.

POST
/creative/search/media

Authorization

Authorization
Required
Bearer <token>

API key (cf_*) passed as Bearer token

In: header

Request Body

application/jsonRequired
query
Required
string

Search term

kind
Required
string

Type of media to search

Value in: "image" | "video"
countinteger

Max results per provider

Default: 6Minimum: 1Maximum: 20
curl -X POST "https://api.clipform.io/v1/creative/search/media" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "query": "string",
    "kind": "image",
    "count": 6
  }'

Search results

{
  "results": [
    {
      "url": "http://example.com",
      "thumbUrl": "http://example.com",
      "width": 0,
      "height": 0,
      "title": "string",
      "attribution": "string",
      "license": "string",
      "source": "string",
      "sourceUrl": "http://example.com"
    }
  ]
}